fstrm_replay(1)

NAME
fstrm_replay - Replay saved Frame Streams data to a socket connection.

SYNOPSIS
fstrm_replay -t content-type -r file [ -r file ... ]
[ -u socket-path ] [ -a IP -p port ]

fstrm_replay --type content-type
--read file [ --read file ... ]
[ --unix socket-path ] [ --tcp IP --port port ]

DESCRIPTION
fstrm_replay connects to a Frame Streams receiver on either the given UNIX domain socket-path or TCP address and port, then reads and sends data of the supplied content-type from the given file(s).

OPTIONS

-t content-type | --type content-type
    Specify the content-type to read from files and send to the Frame Streams socket. Files whose content-type differ are skipped. If the socket server does not accept the content-type, fstrm_replay will fail.

-r file | --read file
    Read data from file. Multiple files can be given with multiple -r options. Files which cannot be opened, or do not contain valid Frame Streams data will be skipped.

-u socket-path | --unix socket-path
    Connect to Unix domain socket-path to write Frame Streams data. Only one of -u or -a may be given.

-a IP | --tcp IP
    Connect to TCP address IP to write Frame Streams data. Only one of -u or -a may be given. Use of -a requires a port given with -p.

-p port | --port port
    If -a is given, use TCP port port to write Frame Streams data.

EXAMPLES
Replay dnstap data over UNIX domain socket:
	fstrm_replay -t protobuf:dnstap.Dnstap \
		-u /var/run/named/dnstap.sock -r dnstap-log.fstrm

SEE ALSO
fstrm_capture(1), fstrm_dump(1),
Frame Streams C Library https://farsightsec.github.io/fstrm